package ru.ulstu.models;

public class Forecast {
    private TimeSeries originalTimeSeries;
    private TimeSeries forecast;

    public Forecast(TimeSeries originalTimeSeries) {
        this.originalTimeSeries = originalTimeSeries;
        this.forecast = new TimeSeries("Forecast time series of '" + originalTimeSeries.getName() + "'");
    }

    public TimeSeries getOriginalTimeSeries() {
        return originalTimeSeries;
    }

    public TimeSeries getForecast() {
        return forecast;
    }

    public void addValue(TimeSeriesValue timeSeriesValue) {
        forecast.addValue(timeSeriesValue);
    }
}
